# GstAnalyticsRelationMeta

The GstAnalyticsRelationMeta is a GstMeta that can contain a large number of results from the analysis of a meta. Each result can be accessed by using its id, or more conviently, by using a GstAnalyticsMtd. A matrix of relationships between the various metadata is also defined and can be filled by the analysis processes.

## GstAnalyticsMtd

Handle containing data required to use gst_analytics_mtd API. This type is generally expected to be allocated on the stack.

### Members

`id` (guint) –

Instance identifier.

`meta` (GstAnalyticsRelationMeta *) –

Instance of GstAnalyticsRelationMeta where the analysis-metadata identified by id is stored.

Since : 1.24

## GstAnalytics.Mtd

Handle containing data required to use gst_analytics_mtd API. This type is generally expected to be allocated on the stack.

### Members

`id` (Number) –

Instance identifier.

`meta` (GstAnalytics.RelationMeta) –

Instance of GstAnalytics.RelationMeta where the analysis-metadata identified by id is stored.

Since : 1.24

## GstAnalytics.Mtd

Handle containing data required to use gst_analytics_mtd API. This type is generally expected to be allocated on the stack.

### Members

`id` (int) –

Instance identifier.

`meta` (GstAnalytics.RelationMeta) –

Instance of GstAnalytics.RelationMeta where the analysis-metadata identified by id is stored.

Since : 1.24

### Methods

#### gst_analytics_mtd_get_id

    guint
    gst_analytics_mtd_get_id (GstAnalyticsMtd * instance)

Get instance id

Parameters:

`instance` –

Instance of GstAnalyticsMtd

Returns –

Id of instance

Since : 1.24

#### GstAnalytics.Mtd.prototype.get_id

    function GstAnalytics.Mtd.prototype.get_id(): {
        // javascript wrapper for 'gst_analytics_mtd_get_id'
    }

Get instance id

Parameters:

`instance` (GstAnalytics.Mtd) –

Instance of GstAnalytics.Mtd

Returns (Number) –

Id of instance

Since : 1.24

#### GstAnalytics.Mtd.get_id

    def GstAnalytics.Mtd.get_id (self):
        #python wrapper for 'gst_analytics_mtd_get_id'

Get instance id

Parameters:

`instance` (GstAnalytics.Mtd) –

Instance of GstAnalytics.Mtd

Returns (int) –

Id of instance

Since : 1.24

#### gst_analytics_mtd_get_mtd_type

    GstAnalyticsMtdType
    gst_analytics_mtd_get_mtd_type (GstAnalyticsMtd * instance)

instance: Instance of GstAnalyticsMtd Get analysis result type.

Parameters:

`instance` –
No description available
Returns –

opaque id of the type

Since : 1.24

#### GstAnalytics.Mtd.prototype.get_mtd_type

    function GstAnalytics.Mtd.prototype.get_mtd_type(): {
        // javascript wrapper for 'gst_analytics_mtd_get_mtd_type'
    }

instance: Instance of GstAnalytics.Mtd Get analysis result type.

Parameters:

`instance` (GstAnalytics.Mtd) –
No description available
Returns (Number) –

opaque id of the type

Since : 1.24

#### GstAnalytics.Mtd.get_mtd_type

    def GstAnalytics.Mtd.get_mtd_type (self):
        #python wrapper for 'gst_analytics_mtd_get_mtd_type'

instance: Instance of GstAnalytics.Mtd Get analysis result type.

Parameters:

`instance` (GstAnalytics.Mtd) –
No description available
Returns (int) –

opaque id of the type

Since : 1.24

#### gst_analytics_mtd_get_size

    gsize
    gst_analytics_mtd_get_size (GstAnalyticsMtd * instance)

Get instance size

Parameters:

`instance` –

Instance of GstAnalyticsMtd

Returns –

Size (in bytes) of this instance or 0 on failure.

Since : 1.24

#### GstAnalytics.Mtd.prototype.get_size

    function GstAnalytics.Mtd.prototype.get_size(): {
        // javascript wrapper for 'gst_analytics_mtd_get_size'
    }

Get instance size

Parameters:

`instance` (GstAnalytics.Mtd) –

Instance of GstAnalytics.Mtd

Returns (Number) –

Size (in bytes) of this instance or 0 on failure.

Since : 1.24

#### GstAnalytics.Mtd.get_size

    def GstAnalytics.Mtd.get_size (self):
        #python wrapper for 'gst_analytics_mtd_get_size'

Get instance size

Parameters:

`instance` (GstAnalytics.Mtd) –

Instance of GstAnalytics.Mtd

Returns (int) –

Size (in bytes) of this instance or 0 on failure.

Since : 1.24

### Functions

#### gst_analytics_mtd_type_get_name

    const gchar*
    gst_analytics_mtd_type_get_name (GstAnalyticsMtdType type)

Gets the string version of the name of this type of analytics data

Parameters:

`type` –

The type of analytics data

Returns –

the name

Since : 1.24

#### GstAnalytics.Mtd.prototype.type_get_name

    function GstAnalytics.Mtd.prototype.type_get_name(type: Number): {
        // javascript wrapper for 'gst_analytics_mtd_type_get_name'
    }

Gets the string version of the name of this type of analytics data

Parameters:

`type` (Number) –

The type of analytics data

Returns (String) –

the name

Since : 1.24

#### GstAnalytics.Mtd.type_get_name

    def GstAnalytics.Mtd.type_get_name (type):
        #python wrapper for 'gst_analytics_mtd_type_get_name'

Gets the string version of the name of this type of analytics data

Parameters:

`type` (int) –

The type of analytics data

Returns (str) –

the name

Since : 1.24

## GstAnalyticsMtdImpl

This structure must be provided when registering a new type of Mtd. It must have a static lifetime (never be freed).

### Members

`name` (const char*) –

The name of the metadata type

Since : 1.24

## GstAnalytics.MtdImpl

This structure must be provided when registering a new type of Mtd. It must have a static lifetime (never be freed).

### Members

`name` (String) –

The name of the metadata type

Since : 1.24

## GstAnalytics.MtdImpl

This structure must be provided when registering a new type of Mtd. It must have a static lifetime (never be freed).

### Members

`name` (str) –

The name of the metadata type

Since : 1.24

## GstAnalyticsRelationMeta

An opaque GstMeta that can be used to hold various types of results from analysis processes.

The content should be accessed through the API.

Since : 1.24

## GstAnalytics.RelationMeta

An opaque Gst.Meta that can be used to hold various types of results from analysis processes.

The content should be accessed through the API.

Since : 1.24

## GstAnalytics.RelationMeta

An opaque Gst.Meta that can be used to hold various types of results from analysis processes.

The content should be accessed through the API.

Since : 1.24

### Methods

#### gst_analytics_relation_meta_add_cls_mtd

    gboolean
    gst_analytics_relation_meta_add_cls_mtd (GstAnalyticsRelationMeta * instance,
                                             gsize length,
                                             gfloat* confidence_levels,
                                             GQuark * class_quarks,
                                             GstAnalyticsClsMtd * cls_mtd)

Add analytic classification metadata to instance.

Parameters:

`instance` –

Instance of GstAnalyticsRelationMeta where to add classification instance

`length` –

length of confidence_levels

`confidence_levels` ( [arraylength=length]) –

confidence levels

`class_quarks` ( [arraylength=length]) –

labels of this classification. Order define index, quark, labels relation. This array need to exist as long has this classification meta exist.

`cls_mtd` ( [out][not nullable]) –

Handle updated to newly added classification meta.

Returns –

Added successfully

Since : 1.24

#### GstAnalytics.RelationMeta.prototype.add_cls_mtd

    function GstAnalytics.RelationMeta.prototype.add_cls_mtd(length: Number, confidence_levels: [ Number ], class_quarks: [ GLib.Quark ]): {
        // javascript wrapper for 'gst_analytics_relation_meta_add_cls_mtd'
    }

Add analytic classification metadata to instance.

Parameters:

`instance` (GstAnalytics.RelationMeta) –

Instance of GstAnalytics.RelationMeta where to add classification instance

`length` (Number) –

length of confidence_levels

`confidence_levels` ([ Number ]) –

confidence levels

`class_quarks` ([ GLib.Quark ]) –

labels of this classification. Order define index, quark, labels relation. This array need to exist as long has this classification meta exist.

Returns a tuple made of:

(Number ) –

Added successfully

`cls_mtd` (GstAnalytics.ClsMtd ) –

Added successfully

Since : 1.24

#### GstAnalytics.RelationMeta.add_cls_mtd

    def GstAnalytics.RelationMeta.add_cls_mtd (self, length, confidence_levels, class_quarks):
        #python wrapper for 'gst_analytics_relation_meta_add_cls_mtd'

Add analytic classification metadata to instance.

Parameters:

`instance` (GstAnalytics.RelationMeta) –

Instance of GstAnalytics.RelationMeta where to add classification instance

`length` (int) –

length of confidence_levels

`confidence_levels` ([ float ]) –

confidence levels

`class_quarks` ([ GLib.Quark ]) –

labels of this classification. Order define index, quark, labels relation. This array need to exist as long has this classification meta exist.

Returns a tuple made of:

(bool ) –

Added successfully

`cls_mtd` (GstAnalytics.ClsMtd ) –

Added successfully

Since : 1.24

#### gst_analytics_relation_meta_add_mtd

    gpointer
    gst_analytics_relation_meta_add_mtd (GstAnalyticsRelationMeta * meta,
                                         const GstAnalyticsMtdImpl * impl,
                                         gsize size,
                                         GstAnalyticsMtd * rlt_mtd)

Add a relatable metadata to meta. This method is meant to be used by new struct sub-classing GstAnalyticsRelatableMtd.

Parameters:

`meta` –

Instance

`impl` –

Implementation of relatable (#GstAnalyticsRelatableMtd)

`size` –

Size required

`rlt_mtd` –

Updated handle

Returns –

A pointer to a memory area of size size where to put the data

Since : 1.24

#### gst_analytics_relation_meta_add_od_mtd

    gboolean
    gst_analytics_relation_meta_add_od_mtd (GstAnalyticsRelationMeta * instance,
                                            GQuark type,
                                            gint x,
                                            gint y,
                                            gint w,
                                            gint h,
                                            gfloat loc_conf_lvl,
                                            GstAnalyticsODMtd * od_mtd)

Parameters:

`instance` –

Instance of GstAnalyticsRelationMeta where to add classification instance

`type` –

Quark of the object type

`x` –

x component of bounding box upper-left corner

`y` –

y component of bounding box upper-left corner

`w` –

bounding box width

`h` –

bounding box height

`loc_conf_lvl` –

confidence level on the object location

`od_mtd` ( [out][nullable]) –

Handle updated with newly added object detection meta. Add an object-detetion metadata to instance.

Returns –

Added successfully

Since : 1.24

#### GstAnalytics.RelationMeta.prototype.add_od_mtd

    function GstAnalytics.RelationMeta.prototype.add_od_mtd(type: GLib.Quark, x: Number, y: Number, w: Number, h: Number, loc_conf_lvl: Number): {
        // javascript wrapper for 'gst_analytics_relation_meta_add_od_mtd'
    }

Parameters:

`instance` (GstAnalytics.RelationMeta) –

Instance of GstAnalytics.RelationMeta where to add classification instance

`type` (GLib.Quark) –

Quark of the object type

`x` (Number) –

x component of bounding box upper-left corner

`y` (Number) –

y component of bounding box upper-left corner

`w` (Number) –

bounding box width

`h` (Number) –

bounding box height

`loc_conf_lvl` (Number) –

confidence level on the object location

Returns a tuple made of:

(Number ) –

Added successfully

`od_mtd` (GstAnalytics.ODMtd ) –

Added successfully

Since : 1.24

#### GstAnalytics.RelationMeta.add_od_mtd

    def GstAnalytics.RelationMeta.add_od_mtd (self, type, x, y, w, h, loc_conf_lvl):
        #python wrapper for 'gst_analytics_relation_meta_add_od_mtd'

Parameters:

`instance` (GstAnalytics.RelationMeta) –

Instance of GstAnalytics.RelationMeta where to add classification instance

`type` (GLib.Quark) –

Quark of the object type

`x` (int) –

x component of bounding box upper-left corner

`y` (int) –

y component of bounding box upper-left corner

`w` (int) –

bounding box width

`h` (int) –

bounding box height

`loc_conf_lvl` (float) –

confidence level on the object location

Returns a tuple made of:

(bool ) –

Added successfully

`od_mtd` (GstAnalytics.ODMtd ) –

Added successfully

Since : 1.24

#### gst_analytics_relation_meta_add_one_cls_mtd

    gboolean
    gst_analytics_relation_meta_add_one_cls_mtd (GstAnalyticsRelationMeta * instance,
                                                 gfloat confidence_level,
                                                 GQuark class_quark,
                                                 GstAnalyticsClsMtd * cls_mtd)

Add analytic classification metadata to instance.

Parameters:

`instance` –

Instance of GstAnalyticsRelationMeta where to add classification instance

`confidence_level` –

confidence levels

`class_quark` –

labels of this classification. Order define index, quark, labels relation. This array need to exist as long has this classification meta exist.

`cls_mtd` ( [out][not nullable]) –

Handle updated to newly added classification meta.

Returns –

Added successfully

Since : 1.24

#### GstAnalytics.RelationMeta.prototype.add_one_cls_mtd

    function GstAnalytics.RelationMeta.prototype.add_one_cls_mtd(confidence_level: Number, class_quark: GLib.Quark): {
        // javascript wrapper for 'gst_analytics_relation_meta_add_one_cls_mtd'
    }

Add analytic classification metadata to instance.

Parameters:

`instance` (GstAnalytics.RelationMeta) –

Instance of GstAnalytics.RelationMeta where to add classification instance

`confidence_level` (Number) –

confidence levels

`class_quark` (GLib.Quark) –

labels of this classification. Order define index, quark, labels relation. This array need to exist as long has this classification meta exist.

Returns a tuple made of:

(Number ) –

Added successfully

`cls_mtd` (GstAnalytics.ClsMtd ) –

Added successfully

Since : 1.24

#### GstAnalytics.RelationMeta.add_one_cls_mtd

    def GstAnalytics.RelationMeta.add_one_cls_mtd (self, confidence_level, class_quark):
        #python wrapper for 'gst_analytics_relation_meta_add_one_cls_mtd'

Add analytic classification metadata to instance.

Parameters:

`instance` (GstAnalytics.RelationMeta) –

Instance of GstAnalytics.RelationMeta where to add classification instance

`confidence_level` (float) –

confidence levels

`class_quark` (GLib.Quark) –

labels of this classification. Order define index, quark, labels relation. This array need to exist as long has this classification meta exist.

Returns a tuple made of:

(bool ) –

Added successfully

`cls_mtd` (GstAnalytics.ClsMtd ) –

Added successfully

Since : 1.24

#### gst_analytics_relation_meta_add_tracking_mtd

    gboolean
    gst_analytics_relation_meta_add_tracking_mtd (GstAnalyticsRelationMeta * instance,
                                                  guint64 tracking_id,
                                                  GstClockTime tracking_first_seen,
                                                  GstAnalyticsTrackingMtd * trk_mtd)

Parameters:

`instance` –

Instance of GstAnalyticsRelationMeta where to add tracking mtd

`tracking_id` –

Tracking id

`tracking_first_seen` –

Timestamp of first time the object was observed.

`trk_mtd` ( [out][not nullable]) –

Handle updated with newly added tracking meta. Add an analytic tracking metadata to instance. Returns: Added successfully

Returns –
No description available

Since : 1.24

#### GstAnalytics.RelationMeta.prototype.add_tracking_mtd

    function GstAnalytics.RelationMeta.prototype.add_tracking_mtd(tracking_id: Number, tracking_first_seen: Number): {
        // javascript wrapper for 'gst_analytics_relation_meta_add_tracking_mtd'
    }

Parameters:

`instance` (GstAnalytics.RelationMeta) –

Instance of GstAnalyticsRelationMeta where to add tracking mtd

`tracking_id` (Number) –

Tracking id

`tracking_first_seen` (Number) –

Timestamp of first time the object was observed.

Returns a tuple made of:

(Number ) –
No description available
`trk_mtd` (GstAnalytics.TrackingMtd ) –
No description available

Since : 1.24

#### GstAnalytics.RelationMeta.add_tracking_mtd

    def GstAnalytics.RelationMeta.add_tracking_mtd (self, tracking_id, tracking_first_seen):
        #python wrapper for 'gst_analytics_relation_meta_add_tracking_mtd'

Parameters:

`instance` (GstAnalytics.RelationMeta) –

Instance of GstAnalyticsRelationMeta where to add tracking mtd

`tracking_id` (int) –

Tracking id

`tracking_first_seen` (int) –

Timestamp of first time the object was observed.

Returns a tuple made of:

(bool ) –
No description available
`trk_mtd` (GstAnalytics.TrackingMtd ) –
No description available

Since : 1.24

#### gst_analytics_relation_meta_exist

    gboolean
    gst_analytics_relation_meta_exist (GstAnalyticsRelationMeta * rmeta,
                                       guint an_meta_first_id,
                                       guint an_meta_second_id,
                                       gint max_relation_span,
                                       GstAnalyticsRelTypes cond_types,
                                       GArray ** relations_path)

Verify existence of relation(s) between an_meta_first_d and an_meta_second_id according to relation condition cond_types. It optionally also return a shortest path of relations ( compliant with cond_types) between an_meta_first_id and an_meta_second_id.

Parameters:

`rmeta` ( [transfer: none]) –

a GstAnalyticsRelationMeta describing analysis-meta relation

`an_meta_first_id` –

First analysis-meta

`an_meta_second_id` –

Second analysis-meta

`max_relation_span` –

Maximum number of relation between an_meta_first_id and an_meta_second_id. A value of 1 mean only only consider direct relation.

`cond_types` –

condition on relation types.

`relations_path` –

(transfer full)(nullable)(out caller-allocates)(array) (element-type gint): If not NULL this list will be filled with relation path between an_meta_first_id and an_meta_second_id. List value should be access with GSList API. Use GPOINTER_TO_INT(iter->data) where iter is a GSList element to get analysis-meta id on the relation path. Free this list with g_slist_free (@relations_path) after using.

Returns –

TRUE if a relation between exit between an_meta_first_id and an_meta_second_id, otherwise FALSE.

Since : 1.24

#### GstAnalytics.RelationMeta.prototype.exist

    function GstAnalytics.RelationMeta.prototype.exist(an_meta_first_id: Number, an_meta_second_id: Number, max_relation_span: Number, cond_types: GstAnalytics.RelTypes): {
        // javascript wrapper for 'gst_analytics_relation_meta_exist'
    }

Verify existence of relation(s) between an_meta_first_d and an_meta_second_id according to relation condition cond_types. It optionally also return a shortest path of relations ( compliant with cond_types) between an_meta_first_id and an_meta_second_id.

Parameters:

`rmeta` (GstAnalytics.RelationMeta) –

a GstAnalytics.RelationMeta describing analysis-meta relation

`an_meta_first_id` (Number) –

First analysis-meta

`an_meta_second_id` (Number) –

Second analysis-meta

`max_relation_span` (Number) –

Maximum number of relation between an_meta_first_id and an_meta_second_id. A value of 1 mean only only consider direct relation.

`cond_types` (GstAnalytics.RelTypes) –

condition on relation types.

Returns a tuple made of:

(Number ) –

TRUE if a relation between exit between an_meta_first_id and an_meta_second_id, otherwise FALSE.

`relations_path` ([ Number ] ) –

TRUE if a relation between exit between an_meta_first_id and an_meta_second_id, otherwise FALSE.

Since : 1.24

#### GstAnalytics.RelationMeta.exist

    def GstAnalytics.RelationMeta.exist (self, an_meta_first_id, an_meta_second_id, max_relation_span, cond_types):
        #python wrapper for 'gst_analytics_relation_meta_exist'

Verify existence of relation(s) between an_meta_first_d and an_meta_second_id according to relation condition cond_types. It optionally also return a shortest path of relations ( compliant with cond_types) between an_meta_first_id and an_meta_second_id.

Parameters:

`rmeta` (GstAnalytics.RelationMeta) –

a GstAnalytics.RelationMeta describing analysis-meta relation

`an_meta_first_id` (int) –

First analysis-meta

`an_meta_second_id` (int) –

Second analysis-meta

`max_relation_span` (int) –

Maximum number of relation between an_meta_first_id and an_meta_second_id. A value of 1 mean only only consider direct relation.

`cond_types` (GstAnalytics.RelTypes) –

condition on relation types.

Returns a tuple made of:

(bool ) –

TRUE if a relation between exit between an_meta_first_id and an_meta_second_id, otherwise FALSE.

`relations_path` ([ int ] ) –

TRUE if a relation between exit between an_meta_first_id and an_meta_second_id, otherwise FALSE.

Since : 1.24

#### gst_analytics_relation_meta_get_cls_mtd

    gboolean
    gst_analytics_relation_meta_get_cls_mtd (GstAnalyticsRelationMeta * meta,
                                             guint an_meta_id,
                                             GstAnalyticsClsMtd * rlt)

Fill rlt if a analytics-meta with id == an_meta_id exist in meta instance, otherwise this method return FALSE and rlt is invalid.

Parameters:

`meta` –

Instance of GstAnalyticsRelationMeta

`an_meta_id` –

Id of GstAnalyticsClsMtd instance to retrieve

`rlt` ( [out][not nullable]) –

Will be filled with relatable meta

Returns –

TRUE if successful.

Since : 1.24

#### GstAnalytics.RelationMeta.prototype.get_cls_mtd

    function GstAnalytics.RelationMeta.prototype.get_cls_mtd(an_meta_id: Number): {
        // javascript wrapper for 'gst_analytics_relation_meta_get_cls_mtd'
    }

Fill rlt if a analytics-meta with id == an_meta_id exist in meta instance, otherwise this method return FALSE and rlt is invalid.

Parameters:

`meta` (GstAnalytics.RelationMeta) –

Instance of GstAnalytics.RelationMeta

`an_meta_id` (Number) –

Id of GstAnalytics.ClsMtd instance to retrieve

Returns a tuple made of:

(Number ) –

TRUE if successful.

`rlt` (GstAnalytics.ClsMtd ) –

TRUE if successful.

Since : 1.24

#### GstAnalytics.RelationMeta.get_cls_mtd

    def GstAnalytics.RelationMeta.get_cls_mtd (self, an_meta_id):
        #python wrapper for 'gst_analytics_relation_meta_get_cls_mtd'

Fill rlt if a analytics-meta with id == an_meta_id exist in meta instance, otherwise this method return FALSE and rlt is invalid.

Parameters:

`meta` (GstAnalytics.RelationMeta) –

Instance of GstAnalytics.RelationMeta

`an_meta_id` (int) –

Id of GstAnalytics.ClsMtd instance to retrieve

Returns a tuple made of:

(bool ) –

TRUE if successful.

`rlt` (GstAnalytics.ClsMtd ) –

TRUE if successful.

Since : 1.24

#### gst_analytics_relation_meta_get_direct_related

    gboolean
    gst_analytics_relation_meta_get_direct_related (GstAnalyticsRelationMeta * meta,
                                                    guint an_meta_id,
                                                    GstAnalyticsRelTypes relation_type,
                                                    GstAnalyticsMtdType type,
                                                    gpointer* state,
                                                    GstAnalyticsMtd * rlt_mtd)

Parameters:

`meta` –

GstAnalyticsRelationMeta instance where to query for GstAnalyticsRelatableMtd.

`an_meta_id` –

Id of GstAnalyticsMtd involved in relation to query

`relation_type` –

Type of relation to filter on.

`type` –

Type of GstAnalyticsMtd to filter on

`state` ( [inout][not nullable]) –

Opaque data to store state of the query. If state point to NULL, the first analytics-metadata directly related to an_meta_id will be set in rlt_mtd. Doesn't need to be free.

`rlt_mtd` –

Handle updated to directly related relatable meta.

Returns –

TRUE if rlt_mtd was updated, other wise FALSE

Since : 1.24

#### GstAnalytics.RelationMeta.prototype.get_direct_related

    function GstAnalytics.RelationMeta.prototype.get_direct_related(an_meta_id: Number, relation_type: GstAnalytics.RelTypes, type: Number, state: Object, rlt_mtd: GstAnalytics.Mtd): {
        // javascript wrapper for 'gst_analytics_relation_meta_get_direct_related'
    }

Parameters:

`meta` (GstAnalytics.RelationMeta) –

GstAnalyticsRelationMeta instance where to query for GstAnalyticsRelatableMtd.

`an_meta_id` (Number) –

Id of GstAnalyticsMtd involved in relation to query

`relation_type` (GstAnalytics.RelTypes) –

Type of relation to filter on.

`type` (Number) –

Type of GstAnalyticsMtd to filter on

`state` (Object) –

Opaque data to store state of the query. If state point to NULL, the first analytics-metadata directly related to an_meta_id will be set in rlt_mtd. Doesn't need to be free.

`rlt_mtd` (GstAnalytics.Mtd) –

Handle updated to directly related relatable meta.

Returns a tuple made of:

(Number ) –

TRUE if rlt_mtd was updated, other wise FALSE

`state` (Object ) –

TRUE if rlt_mtd was updated, other wise FALSE

Since : 1.24

#### GstAnalytics.RelationMeta.get_direct_related

    def GstAnalytics.RelationMeta.get_direct_related (self, an_meta_id, relation_type, type, state, rlt_mtd):
        #python wrapper for 'gst_analytics_relation_meta_get_direct_related'

Parameters:

`meta` (GstAnalytics.RelationMeta) –

GstAnalyticsRelationMeta instance where to query for GstAnalyticsRelatableMtd.

`an_meta_id` (int) –

Id of GstAnalyticsMtd involved in relation to query

`relation_type` (GstAnalytics.RelTypes) –

Type of relation to filter on.

`type` (int) –

Type of GstAnalyticsMtd to filter on

`state` (object) –

Opaque data to store state of the query. If state point to NULL, the first analytics-metadata directly related to an_meta_id will be set in rlt_mtd. Doesn't need to be free.

`rlt_mtd` (GstAnalytics.Mtd) –

Handle updated to directly related relatable meta.

Returns a tuple made of:

(bool ) –

TRUE if rlt_mtd was updated, other wise FALSE

`state` (object ) –

TRUE if rlt_mtd was updated, other wise FALSE

Since : 1.24

#### gst_analytics_relation_meta_get_mtd

    gboolean
    gst_analytics_relation_meta_get_mtd (GstAnalyticsRelationMeta * meta,
                                         guint an_meta_id,
                                         GstAnalyticsMtdType type,
                                         GstAnalyticsMtd * rlt)

Fill rlt if a analytics-meta with id == an_meta_id exist in meta instance, otherwise this method return FALSE and rlt is invalid.

Parameters:

`meta` –

Instance of GstAnalyticsRelationMeta

`an_meta_id` –

Id of GstAnalyticsMtd instance to retrieve

`type` –

Filter on a specific type of analysis, use GST_ANALYTICS_MTD_TYPE_ANY to match any type

`rlt` ( [out][not nullable]) –

Will be filled with relatable meta

Returns –

TRUE if successful.

Since : 1.24

#### GstAnalytics.RelationMeta.prototype.get_mtd

    function GstAnalytics.RelationMeta.prototype.get_mtd(an_meta_id: Number, type: Number): {
        // javascript wrapper for 'gst_analytics_relation_meta_get_mtd'
    }

Fill rlt if a analytics-meta with id == an_meta_id exist in meta instance, otherwise this method return FALSE and rlt is invalid.

Parameters:

`meta` (GstAnalytics.RelationMeta) –

Instance of GstAnalyticsRelationMeta

`an_meta_id` (Number) –

Id of GstAnalyticsMtd instance to retrieve

`type` (Number) –

Filter on a specific type of analysis, use GstAnalytics.MTD_TYPE_ANY to match any type

Returns a tuple made of:

(Number ) –

TRUE if successful.

`rlt` (GstAnalytics.Mtd ) –

TRUE if successful.

Since : 1.24

#### GstAnalytics.RelationMeta.get_mtd

    def GstAnalytics.RelationMeta.get_mtd (self, an_meta_id, type):
        #python wrapper for 'gst_analytics_relation_meta_get_mtd'

Fill rlt if a analytics-meta with id == an_meta_id exist in meta instance, otherwise this method return FALSE and rlt is invalid.

Parameters:

`meta` (GstAnalytics.RelationMeta) –

Instance of GstAnalyticsRelationMeta

`an_meta_id` (int) –

Id of GstAnalyticsMtd instance to retrieve

`type` (int) –

Filter on a specific type of analysis, use GstAnalytics.MTD_TYPE_ANY to match any type

Returns a tuple made of:

(bool ) –

TRUE if successful.

`rlt` (GstAnalytics.Mtd ) –

TRUE if successful.

Since : 1.24

#### gst_analytics_relation_meta_get_mtd_data

    gpointer
    gst_analytics_relation_meta_get_mtd_data (GstAnalyticsRelationMeta * meta,
                                              guint an_meta_id)

Parameters:

`meta` –

Instance of GstAnalyticsRelationMeta

`an_meta_id` –

Id of GstAnalyticsMtd instance to retrieve

Returns ( [nullable]) –

Analytics data pointer

Since : 1.24

#### gst_analytics_relation_meta_get_od_mtd

    gboolean
    gst_analytics_relation_meta_get_od_mtd (GstAnalyticsRelationMeta * meta,
                                            guint an_meta_id,
                                            GstAnalyticsODMtd * rlt)

Fill rlt if a analytics-meta with id == an_meta_id exist in meta instance, otherwise this method return FALSE and rlt is invalid.

Parameters:

`meta` –

Instance of GstAnalyticsRelationMeta

`an_meta_id` –

Id of GstAnalyticsODMtd instance to retrieve

`rlt` ( [out][not nullable]) –

Will be filled with relatable meta

Returns –

TRUE if successful.

Since : 1.24

#### GstAnalytics.RelationMeta.prototype.get_od_mtd

    function GstAnalytics.RelationMeta.prototype.get_od_mtd(an_meta_id: Number): {
        // javascript wrapper for 'gst_analytics_relation_meta_get_od_mtd'
    }

Fill rlt if a analytics-meta with id == an_meta_id exist in meta instance, otherwise this method return FALSE and rlt is invalid.

Parameters:

`meta` (GstAnalytics.RelationMeta) –

Instance of GstAnalytics.RelationMeta

`an_meta_id` (Number) –

Id of GstAnalytics.ODMtd instance to retrieve

Returns a tuple made of:

(Number ) –

TRUE if successful.

`rlt` (GstAnalytics.ODMtd ) –

TRUE if successful.

Since : 1.24

#### GstAnalytics.RelationMeta.get_od_mtd

    def GstAnalytics.RelationMeta.get_od_mtd (self, an_meta_id):
        #python wrapper for 'gst_analytics_relation_meta_get_od_mtd'

Fill rlt if a analytics-meta with id == an_meta_id exist in meta instance, otherwise this method return FALSE and rlt is invalid.

Parameters:

`meta` (GstAnalytics.RelationMeta) –

Instance of GstAnalytics.RelationMeta

`an_meta_id` (int) –

Id of GstAnalytics.ODMtd instance to retrieve

Returns a tuple made of:

(bool ) –

TRUE if successful.

`rlt` (GstAnalytics.ODMtd ) –

TRUE if successful.

Since : 1.24

#### gst_analytics_relation_meta_get_relation

    GstAnalyticsRelTypes
    gst_analytics_relation_meta_get_relation (GstAnalyticsRelationMeta * meta,
                                              guint an_meta_first_id,
                                              guint an_meta_second_id)

Get relations between first and second analysis-meta. Ids (@an_meta_first_id and an_meta_second_id) must be from a call to gst_analytics_mtd_get_id (handle).

Parameters:

`meta` ( [transfer: none]) –

a GstAnalyticsRelationMeta

`an_meta_first_id` –

Id of first analysis-meta

`an_meta_second_id` –

Id of second analysis-meta

Returns –

relation description between first and second analysis-meta.

Since : 1.24

#### GstAnalytics.RelationMeta.prototype.get_relation

    function GstAnalytics.RelationMeta.prototype.get_relation(an_meta_first_id: Number, an_meta_second_id: Number): {
        // javascript wrapper for 'gst_analytics_relation_meta_get_relation'
    }

Get relations between first and second analysis-meta. Ids (@an_meta_first_id and an_meta_second_id) must be from a call to gst_analytics_mtd_get_id (handle).

Parameters:

`meta` (GstAnalytics.RelationMeta) –

a GstAnalytics.RelationMeta

`an_meta_first_id` (Number) –

Id of first analysis-meta

`an_meta_second_id` (Number) –

Id of second analysis-meta

Returns (GstAnalytics.RelTypes) –

relation description between first and second analysis-meta.

Since : 1.24

#### GstAnalytics.RelationMeta.get_relation

    def GstAnalytics.RelationMeta.get_relation (self, an_meta_first_id, an_meta_second_id):
        #python wrapper for 'gst_analytics_relation_meta_get_relation'

Get relations between first and second analysis-meta. Ids (@an_meta_first_id and an_meta_second_id) must be from a call to gst_analytics_mtd_get_id (handle).

Parameters:

`meta` (GstAnalytics.RelationMeta) –

a GstAnalytics.RelationMeta

`an_meta_first_id` (int) –

Id of first analysis-meta

`an_meta_second_id` (int) –

Id of second analysis-meta

Returns (GstAnalytics.RelTypes) –

relation description between first and second analysis-meta.

Since : 1.24

#### gst_analytics_relation_meta_get_tracking_mtd

    gboolean
    gst_analytics_relation_meta_get_tracking_mtd (GstAnalyticsRelationMeta * meta,
                                                  guint an_meta_id,
                                                  GstAnalyticsTrackingMtd * rlt)

Fill rlt if a analytics-meta with id == an_meta_id exist in meta instance, otherwise this method return FALSE and rlt is invalid.

Parameters:

`meta` –

Instance of GstAnalyticsRelationMeta

`an_meta_id` –

Id of GstAnalyticsMtd instance to retrieve

`rlt` ( [out][not nullable]) –

Will be filled with relatable meta

Returns –

TRUE if successful.

Since : 1.24

#### GstAnalytics.RelationMeta.prototype.get_tracking_mtd

    function GstAnalytics.RelationMeta.prototype.get_tracking_mtd(an_meta_id: Number): {
        // javascript wrapper for 'gst_analytics_relation_meta_get_tracking_mtd'
    }

Fill rlt if a analytics-meta with id == an_meta_id exist in meta instance, otherwise this method return FALSE and rlt is invalid.

Parameters:

`meta` (GstAnalytics.RelationMeta) –

Instance of GstAnalyticsRelationMeta

`an_meta_id` (Number) –

Id of GstAnalyticsMtd instance to retrieve

Returns a tuple made of:

(Number ) –

TRUE if successful.

`rlt` (GstAnalytics.TrackingMtd ) –

TRUE if successful.

Since : 1.24

#### GstAnalytics.RelationMeta.get_tracking_mtd

    def GstAnalytics.RelationMeta.get_tracking_mtd (self, an_meta_id):
        #python wrapper for 'gst_analytics_relation_meta_get_tracking_mtd'

Fill rlt if a analytics-meta with id == an_meta_id exist in meta instance, otherwise this method return FALSE and rlt is invalid.

Parameters:

`meta` (GstAnalytics.RelationMeta) –

Instance of GstAnalyticsRelationMeta

`an_meta_id` (int) –

Id of GstAnalyticsMtd instance to retrieve

Returns a tuple made of:

(bool ) –

TRUE if successful.

`rlt` (GstAnalytics.TrackingMtd ) –

TRUE if successful.

Since : 1.24

#### gst_analytics_relation_meta_iterate

    gboolean
    gst_analytics_relation_meta_iterate (GstAnalyticsRelationMeta * meta,
                                         gpointer* state,
                                         GstAnalyticsMtdType type,
                                         GstAnalyticsMtd * rlt_mtd)

Parameters:

`meta` –

Instance of GstAnalyticsRelationMeta

`state` –

Opaque data to store iteration state, initialize to NULL, no need to free it.

`type` –

Type of GstAnalyticsMtd to iterate on or use GST_ANALYTICS_MTD_TYPE_ANY for any.

`rlt_mtd` –

Handle updated to iterated GstAnalyticsRelatableMtd.

Returns –

FALSE if end was reached and iteration is completed.

Since : 1.24

#### GstAnalytics.RelationMeta.prototype.iterate

    function GstAnalytics.RelationMeta.prototype.iterate(state: Object, type: Number, rlt_mtd: GstAnalytics.Mtd): {
        // javascript wrapper for 'gst_analytics_relation_meta_iterate'
    }

Parameters:

`meta` (GstAnalytics.RelationMeta) –

Instance of GstAnalyticsRelationMeta

`state` (Object) –

Opaque data to store iteration state, initialize to NULL, no need to free it.

`type` (Number) –

Type of GstAnalyticsMtd to iterate on or use GstAnalytics.MTD_TYPE_ANY for any.

`rlt_mtd` (GstAnalytics.Mtd) –

Handle updated to iterated GstAnalyticsRelatableMtd.

Returns (Number) –

FALSE if end was reached and iteration is completed.

Since : 1.24

#### GstAnalytics.RelationMeta.iterate

    def GstAnalytics.RelationMeta.iterate (self, state, type, rlt_mtd):
        #python wrapper for 'gst_analytics_relation_meta_iterate'

Parameters:

`meta` (GstAnalytics.RelationMeta) –

Instance of GstAnalyticsRelationMeta

`state` (object) –

Opaque data to store iteration state, initialize to NULL, no need to free it.

`type` (int) –

Type of GstAnalyticsMtd to iterate on or use GstAnalytics.MTD_TYPE_ANY for any.

`rlt_mtd` (GstAnalytics.Mtd) –

Handle updated to iterated GstAnalyticsRelatableMtd.

Returns (bool) –

FALSE if end was reached and iteration is completed.

Since : 1.24

#### gst_analytics_relation_meta_set_relation

    gboolean
    gst_analytics_relation_meta_set_relation (GstAnalyticsRelationMeta * meta,
                                              GstAnalyticsRelTypes type,
                                              guint an_meta_first_id,
                                              guint an_meta_second_id)

Sets the relation (#GstAnalyticsRelTypes) between an_meta_first and an_meta_second. Ids must have been obtained a call to gst_analytics_mtd_get_id(handle).

Parameters:

`meta` ( [transfer: none]) –

Parameter to receive new maximum number of analysis-meta described by relation.

`type` –

a GstAnalyticsRelTypes defining relation between two analysis-meta

`an_meta_first_id` –

first meta id

`an_meta_second_id` –

second meta id

Returns –

TRUE on success and FALSE on failure.

Since : 1.24

#### GstAnalytics.RelationMeta.prototype.set_relation

    function GstAnalytics.RelationMeta.prototype.set_relation(type: GstAnalytics.RelTypes, an_meta_first_id: Number, an_meta_second_id: Number): {
        // javascript wrapper for 'gst_analytics_relation_meta_set_relation'
    }

Sets the relation (#GstAnalyticsRelTypes) between an_meta_first and an_meta_second. Ids must have been obtained a call to gst_analytics_mtd_get_id(handle).

Parameters:

`meta` (GstAnalytics.RelationMeta) –

Parameter to receive new maximum number of analysis-meta described by relation.

`type` (GstAnalytics.RelTypes) –

a GstAnalytics.RelTypes defining relation between two analysis-meta

`an_meta_first_id` (Number) –

first meta id

`an_meta_second_id` (Number) –

second meta id

Returns (Number) –

TRUE on success and FALSE on failure.

Since : 1.24

#### GstAnalytics.RelationMeta.set_relation

    def GstAnalytics.RelationMeta.set_relation (self, type, an_meta_first_id, an_meta_second_id):
        #python wrapper for 'gst_analytics_relation_meta_set_relation'

Sets the relation (#GstAnalyticsRelTypes) between an_meta_first and an_meta_second. Ids must have been obtained a call to gst_analytics_mtd_get_id(handle).

Parameters:

`meta` (GstAnalytics.RelationMeta) –

Parameter to receive new maximum number of analysis-meta described by relation.

`type` (GstAnalytics.RelTypes) –

a GstAnalytics.RelTypes defining relation between two analysis-meta

`an_meta_first_id` (int) –

first meta id

`an_meta_second_id` (int) –

second meta id

Returns (bool) –

TRUE on success and FALSE on failure.

Since : 1.24

### Functions

#### gst_analytics_relation_meta_get_info

    const GstMetaInfo *
    gst_analytics_relation_meta_get_info ()

Get the meta info

Returns –
No description available

Since : 1.24

## GstAnalyticsRelationMetaInitParams

GstAnalyticsRelationMeta initialization parameters.

### Members

`initial_relation_order` (gsize) –

Initial relations order.

`initial_buf_size` (gsize) –

Buffer size in bytes to store relatable metadata

Since : 1.24

## GstAnalytics.RelationMetaInitParams

GstAnalyticsRelationMeta initialization parameters.

### Members

`initial_relation_order` (Number) –

Initial relations order.

`initial_buf_size` (Number) –

Buffer size in bytes to store relatable metadata

Since : 1.24

## GstAnalytics.RelationMetaInitParams

GstAnalyticsRelationMeta initialization parameters.

### Members

`initial_relation_order` (int) –

Initial relations order.

`initial_buf_size` (int) –

Buffer size in bytes to store relatable metadata

Since : 1.24

## Functions

### gst_analytics_relation_get_length

    gsize
    gst_analytics_relation_get_length (GstAnalyticsRelationMeta * instance)

Get number of relatable meta attached to instance

Parameters:

`instance` –

Instance of GstAnalyticsRelationMeta

Returns –

Number of analysis-meta attached to this instance.

Since : 1.24

### GstAnalytics.prototype.relation_get_length

    function GstAnalytics.prototype.relation_get_length(instance: GstAnalytics.RelationMeta): {
        // javascript wrapper for 'gst_analytics_relation_get_length'
    }

Get number of relatable meta attached to instance

Parameters:

`instance` (GstAnalytics.RelationMeta) –

Instance of GstAnalytics.RelationMeta

Returns (Number) –

Number of analysis-meta attached to this instance.

Since : 1.24

### GstAnalytics.relation_get_length

    def GstAnalytics.relation_get_length (instance):
        #python wrapper for 'gst_analytics_relation_get_length'

Get number of relatable meta attached to instance

Parameters:

`instance` (GstAnalytics.RelationMeta) –

Instance of GstAnalytics.RelationMeta

Returns (int) –

Number of analysis-meta attached to this instance.

Since : 1.24

### gst_analytics_relation_meta_api_get_type

    GType
    gst_analytics_relation_meta_api_get_type ()

Returns –

GType of GstAnalyticsRelationMeta

Since : 1.24

### GstAnalytics.prototype.relation_meta_api_get_type

    function GstAnalytics.prototype.relation_meta_api_get_type(): {
        // javascript wrapper for 'gst_analytics_relation_meta_api_get_type'
    }

Returns (GObject.Type) –

GType of GstAnalyticsRelationMeta

Since : 1.24

### GstAnalytics.relation_meta_api_get_type

    def GstAnalytics.relation_meta_api_get_type ():
        #python wrapper for 'gst_analytics_relation_meta_api_get_type'

Returns (GObject.Type) –

GType of GstAnalyticsRelationMeta

Since : 1.24

### gst_buffer_add_analytics_relation_meta

    GstAnalyticsRelationMeta *
    gst_buffer_add_analytics_relation_meta (GstBuffer * buffer)

Attach a analysis-results-meta-relation meta (#GstAnalyticsRelationMeta)to buffer.

A GstAnalyticsRelationMeta is a metadata describing relation between other analysis meta. It's more efficient to use gst_buffer_add_analytics_relation_meta_full and providing the maximum number of analysis meta that will attached to a buffer.

Parameters:

`buffer` ( [transfer: none]) –

a GstBuffer

Returns ( [transfer: none][nullable]) –

Newly attached GstAnalyticsRelationMeta

Since : 1.24

### GstAnalytics.prototype.buffer_add_analytics_relation_meta

    function GstAnalytics.prototype.buffer_add_analytics_relation_meta(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_buffer_add_analytics_relation_meta'
    }

Attach a analysis-results-meta-relation meta (#GstAnalyticsRelationMeta)to buffer.

A GstAnalytics.RelationMeta is a metadata describing relation between other analysis meta. It's more efficient to use GstAnalytics.prototype.buffer_add_analytics_relation_meta_full and providing the maximum number of analysis meta that will attached to a buffer.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (GstAnalytics.RelationMeta) –

Newly attached GstAnalytics.RelationMeta

Since : 1.24

### GstAnalytics.buffer_add_analytics_relation_meta

    def GstAnalytics.buffer_add_analytics_relation_meta (buffer):
        #python wrapper for 'gst_buffer_add_analytics_relation_meta'

Attach a analysis-results-meta-relation meta (#GstAnalyticsRelationMeta)to buffer.

A GstAnalytics.RelationMeta is a metadata describing relation between other analysis meta. It's more efficient to use GstAnalytics.buffer_add_analytics_relation_meta_full and providing the maximum number of analysis meta that will attached to a buffer.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (GstAnalytics.RelationMeta) –

Newly attached GstAnalytics.RelationMeta

Since : 1.24

### gst_buffer_add_analytics_relation_meta_full

    GstAnalyticsRelationMeta *
    gst_buffer_add_analytics_relation_meta_full (GstBuffer * buffer,
                                                 GstAnalyticsRelationMetaInitParams * init_params)

Attache a analysis-results relation-meta (#GstAnalyticsRelationMeta) to buffer.

A GstAnalyticsRelationMeta is a metadata describing relation between other analysis meta.

Parameters:

`buffer` ( [transfer: none]) –

a GstBuffer

`init_params` –

Initialization parameters

Returns ( [transfer: none][nullable]) –

Newly attached GstAnalyticsRelationMeta

Since : 1.24

### GstAnalytics.prototype.buffer_add_analytics_relation_meta_full

    function GstAnalytics.prototype.buffer_add_analytics_relation_meta_full(buffer: Gst.Buffer, init_params: GstAnalytics.RelationMetaInitParams): {
        // javascript wrapper for 'gst_buffer_add_analytics_relation_meta_full'
    }

Attache a analysis-results relation-meta (#GstAnalyticsRelationMeta) to buffer.

A GstAnalytics.RelationMeta is a metadata describing relation between other analysis meta.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`init_params` (GstAnalytics.RelationMetaInitParams) –

Initialization parameters

Returns (GstAnalytics.RelationMeta) –

Newly attached GstAnalytics.RelationMeta

Since : 1.24

### GstAnalytics.buffer_add_analytics_relation_meta_full

    def GstAnalytics.buffer_add_analytics_relation_meta_full (buffer, init_params):
        #python wrapper for 'gst_buffer_add_analytics_relation_meta_full'

Attache a analysis-results relation-meta (#GstAnalyticsRelationMeta) to buffer.

A GstAnalytics.RelationMeta is a metadata describing relation between other analysis meta.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`init_params` (GstAnalytics.RelationMetaInitParams) –

Initialization parameters

Returns (GstAnalytics.RelationMeta) –

Newly attached GstAnalytics.RelationMeta

Since : 1.24

### gst_buffer_get_analytics_relation_meta

    GstAnalyticsRelationMeta *
    gst_buffer_get_analytics_relation_meta (GstBuffer * buffer)

Retrives the meta or NULL if it doesn't exist

Parameters:

`buffer` –

a GstBuffer

Returns –

(transfer none) (nullable) :The GstAnalyticsRelationMeta if there is one

Since : 1.24:

### GstAnalytics.prototype.buffer_get_analytics_relation_meta

    function GstAnalytics.prototype.buffer_get_analytics_relation_meta(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_buffer_get_analytics_relation_meta'
    }

Retrives the meta or NULL if it doesn't exist

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (GstAnalytics.RelationMeta) –

(transfer none) (nullable) :The GstAnalytics.RelationMeta if there is one

Since : 1.24:

### GstAnalytics.buffer_get_analytics_relation_meta

    def GstAnalytics.buffer_get_analytics_relation_meta (buffer):
        #python wrapper for 'gst_buffer_get_analytics_relation_meta'

Retrives the meta or NULL if it doesn't exist

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (GstAnalytics.RelationMeta) –

(transfer none) (nullable) :The GstAnalytics.RelationMeta if there is one

Since : 1.24:

## Function Macros

### GST_ANALYTICS_MTD_CAST

    #define GST_ANALYTICS_MTD_CAST(mtd) \
        ((GstAnalyticsMtd *)(mtd))

Since : 1.24

## Enumerations

### GstAnalyticsRelTypes

##### Members

`GST_ANALYTICS_REL_TYPE_NONE` (0) –

No relation

`GST_ANALYTICS_REL_TYPE_IS_PART_OF` (2) –

First analysis-meta is part of second analysis-meta

`GST_ANALYTICS_REL_TYPE_CONTAIN` (4) –

First analysis-meta contain second analysis-meta.

`GST_ANALYTICS_REL_TYPE_RELATE_TO` (8) –
No description available
`GST_ANALYTICS_REL_TYPE_LAST` (16) –

reserved

`GST_ANALYTICS_REL_TYPE_ANY` (2147483647) –

Only use for criteria.

Since : 1.24

### GstAnalytics.RelTypes

##### Members

`GstAnalytics.RelTypes.NONE` (0) –

No relation

`GstAnalytics.RelTypes.IS_PART_OF` (2) –

First analysis-meta is part of second analysis-meta

`GstAnalytics.RelTypes.CONTAIN` (4) –

First analysis-meta contain second analysis-meta.

`GstAnalytics.RelTypes.RELATE_TO` (8) –
No description available
`GstAnalytics.RelTypes.LAST` (16) –

reserved

`GstAnalytics.RelTypes.ANY` (2147483647) –

Only use for criteria.

Since : 1.24

### GstAnalytics.RelTypes

##### Members

`GstAnalytics.RelTypes.NONE` (0) –

No relation

`GstAnalytics.RelTypes.IS_PART_OF` (2) –

First analysis-meta is part of second analysis-meta

`GstAnalytics.RelTypes.CONTAIN` (4) –

First analysis-meta contain second analysis-meta.

`GstAnalytics.RelTypes.RELATE_TO` (8) –
No description available
`GstAnalytics.RelTypes.LAST` (16) –

reserved

`GstAnalytics.RelTypes.ANY` (2147483647) –

Only use for criteria.

Since : 1.24

## Constants

### GST_ANALYTICS_MTD_TYPE_ANY

    #define GST_ANALYTICS_MTD_TYPE_ANY (0)

A wildcard matching any type of analysis

Since : 1.24

### GstAnalytics.MTD_TYPE_ANY

A wildcard matching any type of analysis

Since : 1.24

### GstAnalytics.MTD_TYPE_ANY

A wildcard matching any type of analysis

Since : 1.24

### GST_ANALYTICS_RELATION_META_API_TYPE

    #define GST_ANALYTICS_RELATION_META_API_TYPE \
      (gst_analytics_relation_meta_api_get_type())

The Analyics Relation Meta API type

Since : 1.24

### GST_ANALYTICS_RELATION_META_INFO

    #define GST_ANALYTICS_RELATION_META_INFO \
      (gst_analytics_relation_meta_get_info())

Get the meta info

Since : 1.24

### GST_INF_RELATION_SPAN

    #define GST_INF_RELATION_SPAN -1

Passes to functions asking for a relation span when the span is infinite.

Since : 1.24

### GstAnalytics.INF_RELATION_SPAN

Passes to functions asking for a relation span when the span is infinite.

Since : 1.24

### GstAnalytics.INF_RELATION_SPAN

Passes to functions asking for a relation span when the span is infinite.

Since : 1.24

## Aliases

### GstAnalyticsMtdType

    typedef guintptr GstAnalyticsMtdType

Type of analytics meta data

Since : 1.24

The results of the search are